Bug 495065 - Missing title text (channel name?) in channels/manage/Edit.do
Missing title text (channel name?) in channels/manage/Edit.do
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Jesus M. Rodriguez
wes hayutin
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-09 11:01 EDT by Corey Welton
Modified: 2009-09-10 15:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-04-09 11:01:27 EDT
Description of problem:
The title text that appears next to the title icon is missing on this page.  I think it should probably be the channel name, but I am not sure.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090403.2-i386-embedded-oracle.iso

How reproducible:
Every time

Steps to Reproduce:
1.  Create a base channel within an org; assure its "Organizational Sharing" option is "Public".
2. Register a system in a different org to this channel.
2.  Modify the "Organizational Sharing" option to to be either private or protected.
3.  Hit submit.
4.  View title area of resulting page that asks user to "Confirm Channel Sharing Modification".
  
Actual results:
The title icon at the top of the page exists, as does the "delete software channel" link... but there is no associated title text.  

Expected results:
Title text should probably be there.

Additional info:
Comment 1 Jesus M. Rodriguez 2009-04-14 22:28:13 EDT
fixed in b2dd55c8ae265fcaeb0724014158b61eab91d0ad

added channel_name to the request attribute to the EditChannelAction so that we pass it to the confirm pages.
Comment 3 wes hayutin 2009-05-11 09:53:23 EDT
verified 5/7.1
Comment 4 Brad Buckingham 2009-07-30 17:13:32 EDT
verified on 7/24 stage iso... moving to RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 15:48:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.